### Constructor

# Gimp Vectors new_from_text_layer

#### Declaration [src]

    GimpVectors*
    gimp_vectors_new_from_text_layer (
      GimpImage* image,
      GimpLayer* layer
    )

#### Description [src]

Creates a new vectors object from a text layer.

Creates a new vectors object from a text layer. The vectors object needs to be added to the image using gimp_image_insert_vectors().

Available since: | 2.6

#### Parameters

`image` | `GimpImage`
| The image.
| The data is owned by the caller of the function.
`layer` | `GimpLayer`
| The text layer.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GimpVectors`
| The vectors of the text layer.
| The data is owned by the called function.